Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SNA LU62 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.snalu62.api
Class SNAConstants.SNAConversationStates

    java.lang.Object
      com.stc.connector.snalu62.api.SNAConstants.SNAConversationStates

Enclosing class:
  SNAConstants

    public static class SNAConstants.SNAConversationStates

extends java.lang.Object

`SNAConversationStates` class represents all conversation states:

  `CM_INITIALIZE_STATE`
  `CM_SEND_STATE`
  `CM_RECEIVE_STATE`
  `CM_SEND_PENDING_STATE`
  `CM_CONFIRM_STATE`
  `CM_CONFIRM_SEND_STATE`
  `CM_CONFIRM_DEALLOCATE_STATE`
  `CM_DEFER_RECEIVE_STATE`
  `CM_DEFER_DEALLOCATE_STATE`
  `CM_SYNC_POINT_STATE`
  `CM_SYNC_POINT_SEND_STATE`
  `CM_SYNC_POINT_DEALLOCATE_STATE`
  `CM_INITIALIZE_INCOMING_STATE`
  `CM_SEND_ONLY_STATE`
  `CM_RECEIVE_ONLY_STATE`
  `CM_SEND_RECEIVE_STATE`
  `CM_PREPARED_STATE`

Version:
  cvs revision: $Revision: 1.3 $ Last Modified: $Date: 2007/12/12 00:11:32 $
Author:
  Harry Liu (harryliu@seebeyond.com)

Field Summary
`static int` | `CM_CONFIRM_DEALLOCATE_STATE`
`static int` | `CM_CONFIRM_SEND_STATE`
`static int` | `CM_CONFIRM_STATE`
`static int` | `CM_DEFER_DEALLOCATE_STATE`
`static int` | `CM_DEFER_RECEIVE_STATE`
`static int` | `CM_INITIALIZE_INCOMING_STATE`
`static int` | `CM_INITIALIZE_STATE`
`static int` | `CM_PREPARED_STATE`
`static int` | `CM_RECEIVE_ONLY_STATE`
`static int` | `CM_RECEIVE_STATE`
`static int` | `CM_SEND_ONLY_STATE`
`static int` | `CM_SEND_PENDING_STATE`
`static int` | `CM_SEND_RECEIVE_STATE`
`static int` | `CM_SEND_STATE`
`static int` | `CM_SYNC_POINT_DEALLOCATE_STATE`
`static int` | `CM_SYNC_POINT_SEND_STATE`
`static int` | `CM_SYNC_POINT_STATE`

Constructor Summary
`SNAConstants.SNAConversationStates()`

Method Summary
`static int` | `getCM_CONFIRM_DEALLOCATE_STATE()`
`static int` | `getCM_CONFIRM_SEND_STATE()`
`static int` | `getCM_CONFIRM_STATE()`
`static int` | `getCM_DEFER_DEALLOCATE_STATE()`
`static int` | `getCM_DEFER_RECEIVE_STATE()`
`static int` | `getCM_INITIALIZE_INCOMING_STATE()`
`static int` | `getCM_INITIALIZE_STATE()`
`static int` | `getCM_PREPARED_STATE()`
`static int` | `getCM_RECEIVE_ONLY_STATE()`
`static int` | `getCM_RECEIVE_STATE()`
`static int` | `getCM_SEND_ONLY_STATE()`
`static int` | `getCM_SEND_PENDING_STATE()`
`static int` | `getCM_SEND_RECEIVE_STATE()`
`static int` | `getCM_SEND_STATE()`
`static int` | `getCM_SYNC_POINT_DEALLOCATE_STATE()`
`static int` | `getCM_SYNC_POINT_SEND_STATE()`
`static int` | `getCM_SYNC_POINT_STATE()`
`static java.lang.String` | `getConversationStateString(int conversationState)` Returns the conversationState as String

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CM_INITIALIZE_STATE

    public static final int CM_INITIALIZE_STATE

See Also:
  Constant Field Values

### CM_SEND_STATE

    public static final int CM_SEND_STATE

See Also:
  Constant Field Values

### CM_RECEIVE_STATE

    public static final int CM_RECEIVE_STATE

See Also:
  Constant Field Values

### CM_SEND_PENDING_STATE

    public static final int CM_SEND_PENDING_STATE

See Also:
  Constant Field Values

### CM_CONFIRM_STATE

    public static final int CM_CONFIRM_STATE

See Also:
  Constant Field Values

### CM_CONFIRM_SEND_STATE

    public static final int CM_CONFIRM_SEND_STATE

See Also:
  Constant Field Values

### CM_CONFIRM_DEALLOCATE_STATE

    public static final int CM_CONFIRM_DEALLOCATE_STATE

See Also:
  Constant Field Values

### CM_DEFER_RECEIVE_STATE

    public static final int CM_DEFER_RECEIVE_STATE

See Also:
  Constant Field Values

### CM_DEFER_DEALLOCATE_STATE

    public static final int CM_DEFER_DEALLOCATE_STATE

See Also:
  Constant Field Values

### CM_SYNC_POINT_STATE

    public static final int CM_SYNC_POINT_STATE

See Also:
  Constant Field Values

### CM_SYNC_POINT_SEND_STATE

    public static final int CM_SYNC_POINT_SEND_STATE

See Also:
  Constant Field Values

### CM_SYNC_POINT_DEALLOCATE_STATE

    public static final int CM_SYNC_POINT_DEALLOCATE_STATE

See Also:
  Constant Field Values

### CM_INITIALIZE_INCOMING_STATE

    public static final int CM_INITIALIZE_INCOMING_STATE

See Also:
  Constant Field Values

### CM_SEND_ONLY_STATE

    public static final int CM_SEND_ONLY_STATE

See Also:
  Constant Field Values

### CM_RECEIVE_ONLY_STATE

    public static final int CM_RECEIVE_ONLY_STATE

See Also:
  Constant Field Values

### CM_SEND_RECEIVE_STATE

    public static final int CM_SEND_RECEIVE_STATE

See Also:
  Constant Field Values

### CM_PREPARED_STATE

    public static final int CM_PREPARED_STATE

See Also:
  Constant Field Values

Constructor Detail

### SNAConstants.SNAConversationStates

    public SNAConstants.SNAConversationStates()

Method Detail

### getCM_INITIALIZE_STATE

    public static final int getCM_INITIALIZE_STATE()

  Returns:
    CM_INITIALIZE_STATE

### getCM_SEND_STATE

    public static final int getCM_SEND_STATE()

  Returns:
    CM_SEND_STATE

### getCM_RECEIVE_STATE

    public static final int getCM_RECEIVE_STATE()

  Returns:
    CM_RECEIVE_STATE

### getCM_SEND_PENDING_STATE

    public static final int getCM_SEND_PENDING_STATE()

  Returns:
    CM_SEND_PENDING_STATE

### getCM_CONFIRM_STATE

    public static final int getCM_CONFIRM_STATE()

  Returns:
    CM_CONFIRM_STATE

### getCM_CONFIRM_SEND_STATE

    public static final int getCM_CONFIRM_SEND_STATE()

  Returns:
    CM_CONFIRM_SEND_STATE

### getCM_CONFIRM_DEALLOCATE_STATE

    public static final int getCM_CONFIRM_DEALLOCATE_STATE()

  Returns:
    CM_CONFIRM_DEALLOCATE_STATE

### getCM_DEFER_RECEIVE_STATE

    public static final int getCM_DEFER_RECEIVE_STATE()

  Returns:
    CM_DEFER_RECEIVE_STATE

### getCM_DEFER_DEALLOCATE_STATE

    public static final int getCM_DEFER_DEALLOCATE_STATE()

  Returns:
    CM_DEFER_DEALLOCATE_STATE

### getCM_SYNC_POINT_STATE

    public static final int getCM_SYNC_POINT_STATE()

  Returns:
    CM_SYNC_POINT_STATE

### getCM_SYNC_POINT_SEND_STATE

    public static final int getCM_SYNC_POINT_SEND_STATE()

  Returns:
    CM_SYNC_POINT_SEND_STATE

### getCM_SYNC_POINT_DEALLOCATE_STATE

    public static final int getCM_SYNC_POINT_DEALLOCATE_STATE()

  Returns:
    CM_SYNC_POINT_DEALLOCATE_STATE

### getCM_INITIALIZE_INCOMING_STATE

    public static final int getCM_INITIALIZE_INCOMING_STATE()

  Returns:
    CM_INITIALIZE_INCOMING_STATE

### getCM_SEND_ONLY_STATE

    public static final int getCM_SEND_ONLY_STATE()

  Returns:
    CM_SEND_ONLY_STATE

### getCM_RECEIVE_ONLY_STATE

    public static final int getCM_RECEIVE_ONLY_STATE()

  Returns:
    CM_RECEIVE_ONLY_STATE

### getCM_SEND_RECEIVE_STATE

    public static final int getCM_SEND_RECEIVE_STATE()

  Returns:
    CM_SEND_RECEIVE_STATE

### getCM_PREPARED_STATE

    public static final int getCM_PREPARED_STATE()

  Returns:
    CM_PREPARED_STATE

### getConversationStateString

    public static final java.lang.String getConversationStateString(int conversationState)

  Returns the conversationState as String

  Parameters:
    `conversationState` - The conversationState in int
  Returns:
    The conversationState as String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SNA LU62 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.